package com.datacloudsec.scan.cache;

import com.datacloudsec.exception.UEException;
import com.datacloudsec.scan.common.Constant;
import com.datacloudsec.utils.ObjectUtil;
import com.datacloudsec.utils.SecretUtil;
import java.beans.ConstructorProperties;
import java.io.ByteArrayInputStream;
import java.io.File;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Map.Entry;
import org.apache.commons.io.FileUtils;
import org.dom4j.Document;
import org.dom4j.Element;
import org.dom4j.io.SAXReader;

public class Grade2 {

   private long lastMdfTime;
   private File confFile;
   private Map items;
   private static Grade2 instance = new Grade2();


   private Grade2() {
      this.confFile = new File(Constant.WORK_DIR, "conf/grade2.0.xml");
      this.items = new HashMap();
   }

   public static synchronized Grade2 getInstance() throws Exception {
      instance.loadConf();
      return instance;
   }

   private void loadConf() throws Exception {
      if(this.confFile.lastModified() != this.lastMdfTime) {
         SAXReader reader = new SAXReader();
         Object b = null;

         byte[] var25;
         try {
            var25 = SecretUtil.decryptEncrypt("aes", FileUtils.readFileToByteArray(this.confFile), "anshuyun123SEF@#".getBytes());
         } catch (Exception var24) {
            var25 = FileUtils.readFileToByteArray(this.confFile);
         }

         Document document = reader.read(new ByteArrayInputStream(var25));
         Element root = document.getRootElement();
         List eleList = root.elements();
         HashMap items = new HashMap();
         Iterator var8 = eleList.iterator();

         while(var8.hasNext()) {
            Object obj = var8.next();
            Element itemEle = (Element)obj;
            String klgeNumber = ObjectUtil.getString(itemEle.attributeValue("klge-number"), (String)null);
            String devtype = ObjectUtil.getString(itemEle.attributeValue("devtype"), (String)null);
            String ostype = ObjectUtil.getString(itemEle.attributeValue("ostype"), (String)null);
            Integer type = ObjectUtil.getInt(itemEle.attributeValue("type"));
            if(klgeNumber == null) {
               throw new UEException("检查项编码不能为空");
            }

            if(type == null) {
               throw new UEException("可用工具不能为空");
            }

            ArrayList names = new ArrayList();
            Iterator kid = itemEle.elements("name").iterator();

            while(kid.hasNext()) {
               Object nameTypes = kid.next();
               Element nameEle = (Element)nameTypes;
               String nameEle1 = nameEle.getText().trim();
               if(nameEle1.length() > 0) {
                  names.add(nameEle1);
               }
            }

            ArrayList var26 = new ArrayList();
            Iterator var29 = itemEle.elements("name-type").iterator();

            while(var29.hasNext()) {
               Object var27 = var29.next();
               Element var31 = (Element)var27;
               String text = var31.getText().trim();
               if(text.length() > 0) {
                  var26.add(text);
               }
            }

            if(var26.size() != 0 || names.size() != 0) {
               String[] var33;
               int var32 = (var33 = klgeNumber.split(",")).length;

               for(int var30 = 0; var30 < var32; ++var30) {
                  String var28 = var33[var30];
                  String[] entry = var28.split("_");
                  String klgeid = null;
                  Integer index = Integer.valueOf(1);
                  if(entry.length == 2) {
                     klgeid = entry[0];
                     index = ObjectUtil.getInt(entry[1]);
                  } else {
                     klgeid = var28;
                  }

                  Object itemList = (List)items.get(klgeid);
                  if(itemList == null) {
                     itemList = new ArrayList();
                     items.put(klgeid, itemList);
                  }

                  ((List)itemList).add(new Grade2.Item(index, names, var26, type, devtype, ostype));
               }
            }
         }

         this.items = items;
         this.lastMdfTime = this.confFile.lastModified();
      }

   }

   public static void main(String[] args) throws Exception {
      Iterator var2 = getInstance().getItems().entrySet().iterator();

      while(var2.hasNext()) {
         Entry i = (Entry)var2.next();
         System.out.println(i);
      }

   }

   public Map getItems() {
      return this.items;
   }

   public static class Item {

      private Integer index;
      private List names;
      private List nameTypes;
      private Integer type;
      private String devtype;
      private String ostype;


      public Integer getIndex() {
         return this.index;
      }

      public List getNames() {
         return this.names;
      }

      public List getNameTypes() {
         return this.nameTypes;
      }

      public Integer getType() {
         return this.type;
      }

      public String getDevtype() {
         return this.devtype;
      }

      public String getOstype() {
         return this.ostype;
      }

      public void setIndex(Integer index) {
         this.index = index;
      }

      public void setNames(List names) {
         this.names = names;
      }

      public void setNameTypes(List nameTypes) {
         this.nameTypes = nameTypes;
      }

      public void setType(Integer type) {
         this.type = type;
      }

      public void setDevtype(String devtype) {
         this.devtype = devtype;
      }

      public void setOstype(String ostype) {
         this.ostype = ostype;
      }

      public boolean equals(Object o) {
         if(o == this) {
            return true;
         } else if(!(o instanceof Grade2.Item)) {
            return false;
         } else {
            Grade2.Item other = (Grade2.Item)o;
            if(!other.canEqual(this)) {
               return false;
            } else {
               Integer this$index = this.getIndex();
               Integer other$index = other.getIndex();
               if(this$index == null) {
                  if(other$index != null) {
                     return false;
                  }
               } else if(!this$index.equals(other$index)) {
                  return false;
               }

               List this$names = this.getNames();
               List other$names = other.getNames();
               if(this$names == null) {
                  if(other$names != null) {
                     return false;
                  }
               } else if(!this$names.equals(other$names)) {
                  return false;
               }

               List this$nameTypes = this.getNameTypes();
               List other$nameTypes = other.getNameTypes();
               if(this$nameTypes == null) {
                  if(other$nameTypes != null) {
                     return false;
                  }
               } else if(!this$nameTypes.equals(other$nameTypes)) {
                  return false;
               }

               label62: {
                  Integer this$type = this.getType();
                  Integer other$type = other.getType();
                  if(this$type == null) {
                     if(other$type == null) {
                        break label62;
                     }
                  } else if(this$type.equals(other$type)) {
                     break label62;
                  }

                  return false;
               }

               label55: {
                  String this$devtype = this.getDevtype();
                  String other$devtype = other.getDevtype();
                  if(this$devtype == null) {
                     if(other$devtype == null) {
                        break label55;
                     }
                  } else if(this$devtype.equals(other$devtype)) {
                     break label55;
                  }

                  return false;
               }

               String this$ostype = this.getOstype();
               String other$ostype = other.getOstype();
               if(this$ostype == null) {
                  if(other$ostype != null) {
                     return false;
                  }
               } else if(!this$ostype.equals(other$ostype)) {
                  return false;
               }

               return true;
            }
         }
      }

      protected boolean canEqual(Object other) {
         return other instanceof Grade2.Item;
      }

      public int hashCode() {
         boolean PRIME = true;
         byte result = 1;
         Integer $index = this.getIndex();
         int result1 = result * 59 + ($index == null?0:$index.hashCode());
         List $names = this.getNames();
         result1 = result1 * 59 + ($names == null?0:$names.hashCode());
         List $nameTypes = this.getNameTypes();
         result1 = result1 * 59 + ($nameTypes == null?0:$nameTypes.hashCode());
         Integer $type = this.getType();
         result1 = result1 * 59 + ($type == null?0:$type.hashCode());
         String $devtype = this.getDevtype();
         result1 = result1 * 59 + ($devtype == null?0:$devtype.hashCode());
         String $ostype = this.getOstype();
         result1 = result1 * 59 + ($ostype == null?0:$ostype.hashCode());
         return result1;
      }

      public String toString() {
         return "Grade2.Item(index=" + this.getIndex() + ", names=" + this.getNames() + ", nameTypes=" + this.getNameTypes() + ", type=" + this.getType() + ", devtype=" + this.getDevtype() + ", ostype=" + this.getOstype() + ")";
      }

      @ConstructorProperties({"index", "names", "nameTypes", "type", "devtype", "ostype"})
      public Item(Integer index, List names, List nameTypes, Integer type, String devtype, String ostype) {
         this.index = index;
         this.names = names;
         this.nameTypes = nameTypes;
         this.type = type;
         this.devtype = devtype;
         this.ostype = ostype;
      }
   }
}
